ErrorMessage (Mule ESB 2.2.1 API)
Keywords: org.mule.example.errorhandler.ErrorMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.errorhandler
Class ErrorMessage

    java.lang.Object
      org.mule.example.errorhandler.ErrorMessage

    public class ErrorMessage

extends Object

The `ErrorMessage` represents an exception.

Constructor Summary
`ErrorMessage()`
`ErrorMessage(ExceptionBean exception)`
`ErrorMessage(Throwable exception)`
`ErrorMessage(Throwable exception, Map props)`

Method Summary
`ExceptionBean` | `getException()`
`Map` | `getProperties()`
`Throwable` | `getThrowable()`
`void` | `setException(ExceptionBean exception)`
`void` | `setProperties(Map properties)`
`void` | `setThrowable(Throwable throwable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorMessage

    public ErrorMessage()

### ErrorMessage

    public ErrorMessage(ExceptionBean exception)
                 throws InstantiationException

Throws:
  `InstantiationException`

### ErrorMessage

    public ErrorMessage(Throwable exception)

### ErrorMessage

    public ErrorMessage(Throwable exception,
                        Map props)

Method Detail

### getException

    public ExceptionBean getException()

  Returns:
    Returns the exception.

### setException

    public void setException(ExceptionBean exception)
                      throws InstantiationException

  Parameters:
    `exception` - The exception to set.
  Throws:
    `InstantiationException`

### getProperties

    public Map getProperties()

  Returns:
    Returns the properties.

### setProperties

    public void setProperties(Map properties)

  Parameters:
    `properties` - The properties to set.

### getThrowable

    public Throwable getThrowable()

  Returns:
    Returns the throwable.

### setThrowable

    public void setThrowable(Throwable throwable)

  Parameters:
    `throwable` - The throwable to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.